Bug 977002 - systemd Macroized scriptlets are not available in Fedora 17; upgrade leaves old pkg
systemd Macroized scriptlets are not available in Fedora 17; upgrade leaves o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nick Bebout
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-22 10:04 EDT by Chris Schanzle
Modified: 2013-08-01 01:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:36:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Schanzle 2013-06-22 10:04:13 EDT
Description of problem:
clamav uses macroized scriptlets in fedora 17 package which are not expanded and cause errors on upgrades.
old package fails to remove on cleanup
'yum check' fails; package database not happy.


Version-Release number of selected component (if applicable):
clamav-scanner-systemd-0.97.7-1.fc17.noarch
clamav-scanner-systemd-0.97.8-2.fc17.noarch


How reproducible: 100%


Steps to Reproduce:
Install clamav-scanner-systemd-0.97.7-1.fc17.noarch
upgrade

Actual results:
  Updating   : clamav-scanner-systemd-0.97.8-2.fc17.noarch
Non-fatal POSTIN scriptlet failure in rpm package clamav-scanner-systemd-0.97.8-2.fc17.noarch
/var/tmp/rpm-tmp.oaVYui: line 1: fg: no job control
warning: %post(clamav-scanner-systemd-0.97.8-2.fc17.noarch) scriptlet failed, exit status 1
  Updating   : clamav-scanner-0.97.8-2.fc17.noarch 
Error in PREUN scriptlet in rpm package clamav-scanner-systemd-0.97.7-1.fc17.noarch
/var/tmp/rpm-tmp.cUa7Rn: line 1: fg: no job control
error: %preun(clamav-scanner-systemd-0.97.7-1.fc17.noarch) scriptlet failed, exit status 1
  Cleanup    : clamav-scanner-0.97.7-1.fc17.noarch
error: clamav-scanner-systemd-0.97.7-1.fc17.noarch: erase failed


Additional info:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

bug #856658

macros are not expanded for Fedora 17:

# rpm -q --scripts clamav-scanner-systemd-0.97.8-2.fc17.noarch
postinstall scriptlet (using /bin/sh):
%systemd_post clamd@scan.service
preuninstall scriptlet (using /bin/sh):
%systemd_preun clamd@scan.service
postuninstall scriptlet (using /bin/sh):
%systemd_postun_with_restart clamd@scan.service

The "no job control" comes from the shell trying to evaluate the %'s.  E.g.,

$ %systemd_post clamd@scan.service
bash: fg: %systemd_post: no such job


# yum check
Loaded plugins: fastestmirror, langpacks, refresh-packagekit, security
clamav-scanner-systemd-0.97.7-1.fc17.noarch has missing requires of clamav-scanner = ('0', '0.97.7', '1.fc17')
clamav-scanner-systemd-0.97.7-1.fc17.noarch has missing requires of clamav-server-systemd = ('0', '0.97.7', '1.fc17')
clamav-scanner-systemd-0.97.8-2.fc17.noarch is a duplicate with clamav-scanner-systemd-0.97.7-1.fc17.noarch

***************
Cannot remove clamav-scanner-systemd-0.97.7-1.fc17.noarch with yum or rpm -e:

# rpm -e clamav-scanner-systemd-0.97.7-1.fc17.noarch
/var/tmp/rpm-tmp.lmT4aG: line 1: fg: no job control
error: %preun(clamav-scanner-systemd-0.97.7-1.fc17.noarch) scriptlet failed, exit status 1
error: clamav-scanner-systemd-0.97.7-1.fc17.noarch: erase failed

This works:
  rpm --noscripts -e clamav-scanner-systemd-0.97.7-1.fc17.noarch
***************

Additional thoughts:
Fedora 17 is not too far from EOL and it might not be worth fixing this...
Comment 1 Fedora End Of Life 2013-07-03 21:18:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:36:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.